<template>
  <div
    :data-aos="type"
    :data-aos-easing="easing"
    :data-aos-duration="duration"
    :data-aos-delay="delay"
    :data-aos-once="once"
    :data-aos-anchor-placement="anchor"
  >
    <slot name="animate" />
  </div>
</template>

<script>
export default {
  props: {
    type: { type: String, required: true },
    easing: String,
    duration: Number,
    delay: Number,
    once: Boolean,
    anchor: String
  }
};
</script>
